from abc import ABC, abstractmethod
import numpy as np

class AbstractTextRepresentationService(ABC):

    @abstractmethod
    def create_vector_representation(self, text: str) -> np.ndarray:
        pass